#!/bin/bash
# Bitnami Nginx does not have curl or wget
# Lets do tcp connection via file descriptors 

exec {HCFD}<>"/dev/tcp/127.0.0.1/8081"
HTTP_REQUEST="$({
    echo -e -n 'GET /health HTTP/1.1\r\n'
    echo -e -n 'Host: 127.0.0.1:8081\r\n'
    echo -e -n 'Connection: close\r\n\r\n'
})"
echo "${HTTP_REQUEST}" >&"${HCFD}"
read -u "${HCFD}" response
exec {HCFD}>&-

if [[ $response == *"200 OK"* ]]; then
  exit 0
else
  exit 1
fi
