# Display a string to the user.
# We use this function for displaying info that we dont need to go into logs.
# Or to avoid the issues we see with out::message and prompts.
# Calling function with no param is good way to insert new lines.

Puppet::Functions.create_function(:'complyadm::display') do
  # @param data String we want to display
  dispatch :display do
    optional_param 'String', :data
  end

  def display(data = '')
    STDOUT.flush
    puts(data)
  end
end
