require 'cgi'

# @summary Encodes a string
#
Puppet::Functions.create_function(:'complyadm::encode') do
  # @param value A string with the value to encode
  # @return A URI encoded version of the string
  dispatch :encode do
    param 'String[1]', :value
    return_type 'String[1]'
  end

  def encode(value)
    CGI.escape(value)
  end
end
