require "test/unit"
require 'ruby_expect'
 
class SupportBundle< Test::Unit::TestCase
 
  def test_support_bundle
    results = { "support_bundle" => "unknown"}

    exp = RubyExpect::Expect.spawn('cd .. & bundle exec bolt plan run complyadm::support_bundle', :debug => true)
    exp.timeout=(180)
    exp.procedure do
      each do
        expect /support_bundle_path/ do
          results["support_bundle"] = true
        end
      end
    end
    exp.soft_close()
      
    #Verify the Results
    assert_equal(true,results['support_bundle'])
  end 
end
