# Subtype of {Complyadm::Config} that is passed to puppet
# code for configuring the comply_frontdoor component.
#
# Important: DataTypes used here must be serializable, or come
# from puppet modules since they are passed to target nodes.
type Complyadm::Config::Comply_frontdoor = Struct[{
    container => Complyadm::Container,
    cert_chain => String,
    private_key => String,
    crl => String,
}]
