# Subtype of {Complyadm::Config} that is passed to puppet
# code for configuring the comply_identity component.
#
# Important: DataTypes used here must be serializable, or come
# from puppet modules since they are passed to target nodes.
type Complyadm::Config::Comply_identity = Struct[{
    container                       => Complyadm::Container,
    client_secret                   => String[1],
    hostname                        => String[1],
    identity_account                => String[1],
    identity_account_console        => String[1],
    identity_admin_cli              => String[1],
    identity_broker                 => String[1],
    identity_realm_management       => String[1],
    identity_security_admin_console => String[1],
    ca_crt                          => String,
}]
