# Subtype of {Complyadm::Config} that is passed to puppet
# code for configuring the comply_mtls_proxy component.
#
# Important: DataTypes used here must be serializable, or come
# from puppet modules since they are passed to target nodes.
type Complyadm::Config::Comply_mtls_proxy = Struct[{
    container => Complyadm::Container,
    pe_cert_checks_disabled => Boolean,
    tls_crt => String,
    tls_key => String,
}]
