# Subtype of {Complyadm::Config} that is passed to puppet
# code for configuring the comply_postgres component.
#
# Important: DataTypes used here must be serializable, or come
# from puppet modules since they are passed to target nodes.
type Complyadm::Config::Comply_postgres = Struct[{
    container => Complyadm::Container,
    log_level => String[1],
    comply_db_username => String[1],
    identity_db_username => String[1],
    comply_db_password => String[1],
    identity_db_password => String[1],
    admin_db_username => String[1],
}]
