type Complyadm::Container = Struct[{
    runtime                  => Complyadm::Runtime,
    install_runtime          => Boolean,
    name                     => String[1],
    image                    => String[1],
    net                      => String[1],
    ports                    => Optional[Variant[String,Array]],
    extra_parameters         => Optional[String[1]],
    extra_systemd_parameters => Optional[Hash],
    after                    => Optional[Variant[String,Array]],
    cmd                      => Optional[String],
    env_vars                 => Optional[Hash],
    healthcheck              => Optional[String[1]],
}]
