# @api private
#
# Calls the manifests needed to install and configure all roles
#
# @param config Complyadm::Config object with all config optiosn
#
# @return Does not return anything
plan complyadm::install::roles(
  Complyadm::Config $config
) {
  run_plan('complyadm::install::roles::database',
    config => $config,
  )

  run_plan('complyadm::install::roles::backend',
    config => $config,
  )

  run_plan('complyadm::install::roles::ui',
    config => $config,
  )
}
