require "test/unit"
require 'ruby_expect'
 
class SupportBundle< Test::Unit::TestCase
 
  def test_offline_bundle
    results = { "offline_bundle" => "unknown"}

    exp = RubyExpect::Expect.spawn('cd .. & bundle exec bolt plan run complyadm::install::create_offline_bundle', :debug => true)
    exp.timeout=(300)
    exp.procedure do
      each do
        expect /project.zip created/ do
          results["offline_bundle"] = true
        end
      end
    end
    exp.soft_close()
      
    #Verify the Results
    assert_equal(true,results['offline_bundle'])
  end 
end
