# Subtype of {Complyadm::Config} that is passed to puppet
# code for configuring the comply_gatekeeper component.
#
# Important: DataTypes used here must be serializable, or come
# from puppet modules since they are passed to target nodes.
type Complyadm::Config::Comply_gatekeeper = Struct[{
    container     => Complyadm::Container,
    client_secret => String[1],
    cookie_secret => String[1],
    hostname      => String[1],
    scarpy        => String[1],
    graphql       => String[1],
    ui            => String[1],
}]
