# Subtype of {Complyadm::Config} that is passed to puppet
# code for configuring the comply_scarpy component.
#
# Important: DataTypes used here must be serializable, or come
# from puppet modules since they are passed to target nodes.
type Complyadm::Config::Comply_scarpy = Struct[{
    container         => Complyadm::Container,
    ca_crt            => String,
}]
