type Complyadm::Roles = Struct[{
    backend => Struct[{
        services => Struct[{
            comply_graphql              => Complyadm::Config::Comply_graphql,
            comply_scarpy               => Complyadm::Config::Comply_scarpy,
            comply_redis                => Complyadm::Config::Comply_redis,
            comply_identity             => Complyadm::Config::Comply_identity,
            comply_gatekeeper           => Complyadm::Config::Comply_gatekeeper,
            comply_frontdoor            => Complyadm::Config::Comply_frontdoor,
            comply_mtls_proxy           => Complyadm::Config::Comply_mtls_proxy,
            comply_graphql_init         => Complyadm::Config::Comply_graphql_init,
            comply_scarpy_assessor_init => Complyadm::Config::Comply_scarpy_assessor_init,
            comply_scarpy_init          => Complyadm::Config::Comply_scarpy_init,
            comply_assessor_upgrade     => Complyadm::Config::Comply_assessor_upgrade,
        }],
        targets => Array[Target],
    }],
    database => Struct[{
        services => Struct[{
            comply_postgres => Complyadm::Config::Comply_postgres,
        }],
        targets  => Array[Target],
    }],
    ui => Struct[{
        services => Struct[{
            comply_ui                  => Complyadm::Config::Comply_ui,
            comply_ui_assessor_init    => Complyadm::Config::Comply_ui_assessor_init,
        }],
        targets  => Array[Target],
    }],
}]
